select
    an.numero as numero,
    an.sexo as sexo,
    an.dtnascimento as data_nascimento,
    pe.peso as peso_nascimento,
    pai.nome as nome_pai,
    (select grausangue from sp_calculagrausangue(an.cdpai)) as raca_pai,
    mae.numero as numero_mae,
    mae.nome as nome_mae,
    (select grausangue from sp_calculagrausangue(an.cdmae)) as raca_mae
from
    animal an
    left join animal pai on pai.cdanimal = an.cdpai
    left join animal mae on mae.cdanimal = an.cdmae
    left join peso pe on pe.cdanimal = an.cdanimal and pe.cdtipopeso in (1,2)
where
    an.dtnascimento between '2015-01-01' and '2015-09-30'